unit proj_82u;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer; tx: String;
begin

image1.Canvas.Pen.color:=RGB(0,0,0);
image1.Canvas.Brush.color:=RGB(255,255,255);

image1.canvas.moveTo(40,15);
image1.canvas.LineTo(650,15);      //x- Achse
for i:=0 to 11 do                  //senkrechte Teil-Striche
  begin
  image1.canvas.MoveTo(50+50*i,25);
  image1.canvas.LineTo(50+50*i,5);
  end;
image1.canvas.moveTo(625,5);        //Pfeil rechts
image1.canvas.LineTo(650,15);
image1.canvas.moveTo(625,25);
image1.canvas.LineTo(650,15);

for i:=0 to 11 do                   //Beschriftung
  begin
  Str(50+i*50,tx);
  image1.Canvas.TextOut(50+i*50-Canvas.TextWidth(tx) div 2,25,tx);
  end;

image1.canvas.moveTo(15,40);        //y-Achse
image1.canvas.LineTo(15,750);
for i:=0 to 13 do                   //Teil-Striche
  begin
  image1.canvas.MoveTo(25,50+50*i);
  image1.canvas.LineTo(5,50+50*i);
  end;
image1.canvas.moveTo(5,725);        //Pfeil unten
image1.canvas.LineTo(15,750);
image1.canvas.moveTo(25,725);
image1.canvas.LineTo(15,750);

for i:=0 to 13 do                   //Beschriftung
  begin
  Str(50+i*50,tx);
  image1.Canvas.TextOut(25, 50+i*50-Canvas.TextHeight(tx) div 2,tx);
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var x1,y1: Integer;
begin
x1:=100;y1:=100;
image1.canvas.Pixels[x1,y1]:=RGB(0,0,0)
end;

procedure TForm1.Button2Click(Sender: TObject);
var x1,y1,x2,y2: Integer;
begin
x1:=300;y1:=250;        //Anfangspunkt festlegen
image1.canvas.moveTo(x1,y1);   //Sprung zum Anfangspunkt
x2:=600;y2:=300;          //Endpunkt festlegen
image1.canvas.Pen.Color:=RGB(0,255,0); //Linienfarbe
image1.canvas.Pen.Width:=10;            //Linienstrke
image1.canvas.LineTo(x2,y2);           //Gerade zeichnen
end;

procedure TForm1.Button3Click(Sender: TObject);
var x1,y1,x2,y2: Integer;
begin
x1:=100;y1:=150;                  //Anfangspunkt festlegen
x2:=250;y2:=350;               //Endpunkt festlegen
image1.canvas.Pen.Color:=RGB(0,0,0); //Umri-Farbe
image1.canvas.Pen.Width:=3;            //Umri-Strke
image1.Canvas.Brush.Color:=RGB(255,255,255);   //Fll-Farbe wie Hintergrund
image1.canvas.Rectangle(x1,y1,x2,y2);           //Rechteck zeichnen
end;

procedure TForm1.Button4Click(Sender: TObject);
var x1,y1,x2,y2: Integer;
begin
x1:=300;y1:=150;                  //Anfangspunkt festlegen
x2:=500;y2:=200;               //Endpunkt festlegen
image1.canvas.Pen.Color:=RGB(0,0,255); //Umri-Farbe
image1.canvas.Pen.Width:=1;            //Umri-Strke
image1.Canvas.Brush.Color:=RGB(0,0,255);   //Fll-Farbe
image1.canvas.Rectangle(x1,y1,x2,y2);           //Rechteck zeichnen
end;


procedure TForm1.Button5Click(Sender: TObject);
var x,y,seite,x1,y1,x2,y2: Integer;
begin
x:=400;y:=400;seite:=100;
x1:=x-seite div 2;y1:=y-seite div 2;                  //Anfangspunkt festlegen
x2:=x+seite div 2;y2:=y+seite div 2;               //Endpunkt festlegen
image1.canvas.Pen.Color:=RGB(255,255,0); //Umri-Farbe
image1.canvas.Pen.Width:=1;            //Umri-Strke
image1.Canvas.Brush.Color:=RGB(255,255,0);   //Fll-Farbe
image1.canvas.Rectangle(x1,y1,x2,y2);           //Rechteck zeichnen
end;


procedure TForm1.Button6Click(Sender: TObject);
var x1,y1,x2,y2: Integer;
begin
x1:=550;y1:=550;                  //Anfangspunkt festlegen
x2:=600;y2:=700;               //Endpunkt festlegen
image1.canvas.Pen.Color:=RGB(0,0,0); //Umri-Farbe
image1.canvas.Pen.Width:=3;            //Umri-Strke
image1.Canvas.Brush.Color:=RGB(255,255,255);   //Fll-Farbe
image1.canvas.Ellipse(x1,y1,x2,y2);           //Ellipse zeichnen
end;

procedure TForm1.Button7Click(Sender: TObject);
var x1,y1,x2,y2: Integer;
begin
x1:=100;y1:=400;                  //Anfangspunkt festlegen
x2:=300;y2:=500;               //Endpunkt festlegen
image1.canvas.Pen.Color:=RGB(255,0,0); //Umri-Farbe
image1.canvas.Pen.Width:=3;            //Umri-Strke
image1.Canvas.Brush.Color:=RGB(255,0,0);   //Fll-Farbe
image1.canvas.Ellipse(x1,y1,x2,y2);           //Ellipse zeichnen
end;

procedure TForm1.Button8Click(Sender: TObject);
var x,y,radius,x1,y1,x2,y2: Integer;
begin
x:=150;y:=600;radius:=100;
x1:=x-radius div 2;y1:=y-radius div 2;                  //Anfangspunkt festlegen
x2:=x+radius div 2;y2:=y+radius div 2;               //Endpunkt festlegen
image1.canvas.Pen.Color:=RGB(0,255,255); //Umri-Farbe
image1.canvas.Pen.Width:=1;            //Umri-Strke
image1.Canvas.Brush.Color:=RGB(0,255,255);   //Fll-Farbe
image1.canvas.Ellipse(x1,y1,x2,y2);           //Ellipse zeichnen
end;

procedure TForm1.Button9Click(Sender: TObject);
var x1,y1: Integer;tx: String;
begin
x1:=300;y1:=600;                  //Anfangspunkt festlegen
image1.Canvas.Brush.Color:=RGB(255,255,255);   //Fll-Farbe
tx:='Vieweg';
image1.canvas.Font.Color:=RGB(255,0,0); //Schrift-Farbe
image1.canvas.Font.Size:=24;            //Schrift-Strke
image1.canvas.TextOut(x1,y1,tx);       //Schrift links unter Pos. ausgeben
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
image1.Canvas.Pen.Color:=RGB(255,255,255); //Rand wei
image1.Canvas.Brush.Color:=RGB(255,255,255); //Inhalt wei
image1.Canvas.Rectangle(0,0,2000,2000)    //Frbe neu
end;

end.
