unit proj_853u;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Timer1: TTimer;
    Label1: TLabel;
    Label2: TLabel;
    GroupBox1: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure Timer1Timer(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
image1.canvas.brush.color:=RGB(215,215,215);
image1.canvas.Pen.color:=RGB(215,215,215);
image1.canvas.Rectangle(0,0,2000,2000);
image1.Top:=0; image1.Left:=0;

image1.canvas.brush.color:=RGB(255,255,0);//Labyrinth
image1.canvas.Pen.color:=RGB(255,255,0);
image1.canvas.Rectangle(300,100,500,200);
image1.canvas.Rectangle(500,700,600,800);
image1.canvas.Rectangle(500,300,550,400);
image1.canvas.Rectangle(500,400,600,450);
image1.canvas.Rectangle(200,400,250,600);
image1.canvas.Rectangle(800,700,900,800);
image1.canvas.Rectangle(800,300,850,400);
image1.canvas.Rectangle(800,400,900,450);
image1.canvas.Rectangle(900,350,950,450);
image1.canvas.Rectangle(900,50,950,250);
image1.canvas.Rectangle(300,600,600,650);

image1.canvas.brush.color:=RGB(0,255,0); //Ziel
image1.canvas.Pen.color:=RGB(0,255,0);
image1.canvas.Ellipse(1100,300,1200,500);
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
begin
   if timer1.enabled=true then Timer1.Enabled:=false
                          else Timer1.Enabled:=true;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var x, y: Integer;
begin
  x:=StrToInt(Label1.Caption); y:=StrToInt(Label2.Caption);

  Image1.Canvas.Pen.Color:=RGB(215,215,215);
  Image1.Canvas.Brush.Color:=RGB(215,215,215);
  Image1.Canvas.Ellipse(x-10,y-10,x+10,y+10);

  if (x>10) and (x<1200) and (y>10) and (y<800) then
    begin
    if Radiobutton1.checked=true then y:=y-5;
    if Radiobutton2.checked=true then y:=y+5;
    if Radiobutton3.checked=true then x:=x-5;
    if Radiobutton4.checked=true then x:=x+5;
    Image1.Canvas.Pen.Color:=RGB(255,0,0);
    Image1.Canvas.Brush.Color:=RGB(255,0,0);
    Image1.Canvas.Ellipse(x-10,y-10,x+10,y+10);
    Label1.Caption:=IntToStr(x);
    Label2.Caption:=IntToStr(y);

    if (image1.Canvas.Pixels[x+10,y]=RGB(255,255,0))
       or
       (image1.Canvas.Pixels[x-10,y]=RGB(255,255,0))
       or
       (image1.Canvas.Pixels[x,y+10]=RGB(255,255,0))
       or
       (image1.Canvas.Pixels[x,y-10]=RGB(255,255,0))

       then
      begin
      Radiobutton1.Checked:=false;
      Radiobutton2.Checked:=false;
      Radiobutton3.Checked:=false;
      Radiobutton4.Checked:=false;
      Label1.Caption:='15';
      Label2.Caption:=IntToStr(Random(800));
      label3.caption:=IntToStr(StrToInt(Label3.caption)+1)
      end;

    if image1.Canvas.Pixels[x+11,y]=RGB(0,255,0) then
      begin
      Timer1.enabled:=false;
      Image1.Canvas.Pen.Color:=RGB(255,0,0);
      Image1.canvas.Pen.Width:=5;
      Image1.Canvas.Brush.Color:=RGB(0,0,255);
      Image1.Canvas.Rectangle(400,200,800,400);
      image1.Canvas.Brush.Color:=RGB(255,255,255);
      image1.canvas.Font.Color:=RGB(255,0,0);
      image1.canvas.Font.Size:=24;
      image1.canvas.TextOut(530,280,'S I E G !!!')
      end;
    end
                           else
  begin
  Image1.Canvas.Pen.Color:=RGB(215,215,215);
  Image1.Canvas.Brush.Color:=RGB(215,215,215);
  Label1.Caption:='15';
  Label2.Caption:=IntToStr(Random(800));
  Radiobutton4.Checked:=true;
  end
end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if Key=Ord(27) then
  if timer1.enabled=true then Timer1.enabled:=false
                         else Timer1.enabled:=true;
if Key=Ord('E') then Radiobutton1.checked:=true;
if Key=Ord('X') then Radiobutton2.checked:=true;
if Key=Ord('S') then Radiobutton3.checked:=true;
if Key=Ord('D') then Radiobutton4.checked:=true;
end;

end.
