unit proj_86u;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    CheckBox1: TCheckBox;
    GroupBox1: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    procedure FormCreate(Sender: TObject);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
image1.Top:=0;
image1.Left:=0;
image1.Height:=Form1.ClientHeight;
image1.Width:=Form1.ClientWidth;
//Frbung der Palette ?
Image1.Canvas.Brush.Color:=RGB(255,255,0);           //Fllfarbe
Image1.canvas.Rectangle(0,0,2000,3000);

end;



procedure TForm1.Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var xpos,ypos:Integer;
begin
xpos:=X; ypos:=Y;

if (Checkbox1.checked=true) and
   (Radiobutton1.checked=false) and
   (Radiobutton2.checked=false) and
   (Radiobutton3.checked=false) and
   (Radiobutton4.checked=false) then
  begin
  Image1.Canvas.Pen.Color:=RGB(0,255,0);  //Randfarbe
  Image1.Canvas.Brush.Color:=RGB(255,0,0);           //Fllfarbe
  Image1.canvas.Rectangle(xpos,ypos,xpos+10,ypos+10);
  end;

if (Checkbox1.checked=true) and (Radiobutton1.checked=true) then
  begin
  Image1.Canvas.Pen.Color:=RGB(255,255,0);             //Randfarbe gelb
  Image1.Canvas.Brush.Color:=RGB(255,255,0);           //Fllfarbe gelb
  Image1.canvas.Rectangle(xpos,ypos,xpos+5,ypos+5);
  end;

if (Checkbox1.checked=true) and (Radiobutton2.checked=true) then
  begin
  Image1.Canvas.Pen.Color:=RGB(255,255,0);             //Randfarbe gelb
  Image1.Canvas.Brush.Color:=RGB(255,255,0);           //Fllfarbe gelb
  Image1.canvas.Rectangle(xpos,ypos,xpos+15,ypos+15);
  end;

if (Checkbox1.checked=true) and (Radiobutton3.checked=true) then
  begin
  Image1.Canvas.Pen.Color:=RGB(255,255,0);             //Randfarbe gelb
  Image1.Canvas.Brush.Color:=RGB(255,255,0);           //Fllfarbe gelb
  Image1.canvas.Rectangle(xpos,ypos,xpos+25,ypos+25);
  end;

if (Checkbox1.checked=true) and (Radiobutton4.checked=true) then
  begin
  Image1.Canvas.Pen.Color:=RGB(255,255,0);             //Randfarbe gelb
  Image1.Canvas.Brush.Color:=RGB(255,255,0);           //Fllfarbe gelb
  Image1.canvas.Rectangle(xpos,ypos,xpos+50,ypos+50);
  end;
end;

procedure TForm1.Image1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
Checkbox1.Checked:=true;
end;

procedure TForm1.Image1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
Checkbox1.Checked:=False;
end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key=Ord('1') then Radiobutton1.Checked:=true;
  if Key=Ord('2') then Radiobutton2.Checked:=true;
  if Key=Ord('3') then Radiobutton3.Checked:=true;
  if Key=Ord('4') then Radiobutton4.Checked:=true
end;

procedure TForm1.FormKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  Radiobutton1.Checked:=false;
  Radiobutton2.Checked:=false;
  Radiobutton3.Checked:=false;
  Radiobutton4.Checked:=false;

end;

end.
